package com.usian.ylgj.app;

import com.baomidou.mybatisplus.annotation.DbType;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.generator.AutoGenerator;
import com.baomidou.mybatisplus.generator.config.DataSourceConfig;
import com.baomidou.mybatisplus.generator.config.GlobalConfig;
import com.baomidou.mybatisplus.generator.config.PackageConfig;
import com.baomidou.mybatisplus.generator.config.StrategyConfig;
import com.baomidou.mybatisplus.generator.config.rules.DateType;
import com.baomidou.mybatisplus.generator.config.rules.NamingStrategy;

public class CodeGenerator {

   public static void main(String[] args) {
      AutoGenerator mpg = new AutoGenerator();
      GlobalConfig gc = new GlobalConfig();
      String projectPath = System.getProperty("user.dir");
      gc.setOutputDir("E:\\medical_management\\ylgj-app\\src\\main\\java\\com\\usian\\ylgj\\app");
      gc.setAuthor("wlx");
      gc.setOpen(false);
      gc.setFileOverride(false);
      gc.setServiceName("%sService");
      gc.setIdType(IdType.ASSIGN_ID);
      gc.setDateType(DateType.ONLY_DATE);
      gc.setSwagger2(true);
      mpg.setGlobalConfig(gc);
      DataSourceConfig dsc = new DataSourceConfig();
      dsc.setUrl("jdbc:mysql://localhost:3306/medical_management?serverTimezone=UTC");
      dsc.setDriverName("com.mysql.cj.jdbc.Driver");
      dsc.setUsername("root");
      dsc.setPassword("aaaa");
      dsc.setDbType(DbType.MYSQL);
      mpg.setDataSource(dsc);
      PackageConfig pc = new PackageConfig();
      pc.setModuleName("ylgj-app");
      pc.setParent("com.usian");
      pc.setController("controller");
      pc.setEntity("entity");
      pc.setService("service");
      pc.setMapper("mapper");
      mpg.setPackageInfo(pc);
      StrategyConfig strategy = new StrategyConfig();
      strategy.setInclude(new String[]{"t_menu"});
      strategy.setNaming(NamingStrategy.underline_to_camel);
      strategy.setTablePrefix(new String[]{pc.getModuleName() + "_"});
      strategy.setColumnNaming(NamingStrategy.underline_to_camel);
      strategy.setEntityLombokModel(true);
      strategy.setRestControllerStyle(true);
      strategy.setControllerMappingHyphenStyle(true);
      mpg.setStrategy(strategy);
      mpg.execute();
   }
}
